org.eclipse.gef.editparts

## Interface LayerManager

All Known Implementing Classes:
  FreeformGraphicalRootEditPart, GraphicalRootEditPart, ScalableFreeformRootEditPart, ScalableRootEditPart

    public interface LayerManager

Responsible for locating layers in a `GraphicalViewer`. Layers are just transparent `figures`.

Typically, the `RootEditPart` will register() itself as the LayerManager for the GraphicalViewer. All other EditParts/EditPolicies looking for a layer use the Viewer's `editPartRegsitry` to find the `LayerManager`.

Since:
  2.0

### Nested Class Summary

Nested Classes
`static class` `LayerManager.Helper` A static helper

### Field Summary

Fields
`static java.lang.Object` `ID` This key used to register the LayerManager in the Viewer's EditPartRegistry.

### Method Summary

Methods
`IFigure` `getLayer(java.lang.Object key)` Returns a specified layer.

### Field Detail

#### ID

    static final java.lang.Object ID

This key used to register the LayerManager in the Viewer's EditPartRegistry.

### Method Detail

#### getLayer

    IFigure getLayer(java.lang.Object key)

Returns a specified layer.

Parameters:
  `key` - a key identifying the layer
Returns:
  the specified layer